Modify¶
POST /api/v1/workspace/{workspace_uuid}/member/batch_modify
Overview¶
Route Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| workspace_uuid | string | Y | Workspace UUID |
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| accountUUIDs | array | Y | Account list Example: ['uuid1', 'uuid2'] Allow empty: True |
| roleUUIDs | array | Y | User role UUID list Example: None Allow empty: False |
| onlyModifyRoles | boolean | Y | Whether to modify only member roles. True means only modify role information. Example: True Allow empty: False |
| memberGroupUUIDs | array | Team list Example: ['xxx', 'xxx'] Allow empty: True |
|
| acntWsNickname | string | Account nickname in this workspace Example: NicknameAAA Allow empty: True $maxCustomLength: 128 |
Parameter Supplementary Description¶
Data Description.*
Modify member roles
- Request parameter description
| Parameter Name | type | Description |
|---|---|---|
| accountUUIDs | list | Member account UUIDs |
| roleUUIDs | list | Role UUIDs |
| onlyModifyRoles | boolean | Whether to modify only role information (true for batch modification, false for single modification) |
| memberGroupUUIDs | list | Team information is required when modifying a single member |
| acntWsNickname | string | Account nickname in the workspace |
| ------ |